package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 选科收藏对象 b_customer_xkcx
 * 
 * @author mingxue
 * @date 2021-08-18
 */
public class BCustomerXkcx extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户 */
    @Excel(name = "用户")
    private String customerCode;

    /** 班级 */
    @Excel(name = "班级")
    private Long submitId;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    private Integer isSelectCourse;
    private Integer roundId;

    private BBusiWishXkcx xkcx;

    public BBusiWishXkcx getXkcx() {
        return xkcx;
    }

    public void setXkcx(BBusiWishXkcx xkcx) {
        this.xkcx = xkcx;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setSubmitId(Long submitId) {
        this.submitId = submitId;
    }

    public Long getSubmitId() {
        return submitId;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public Integer getIsSelectCourse() {
        return isSelectCourse;
    }

    public void setIsSelectCourse(Integer isSelectCourse) {
        this.isSelectCourse = isSelectCourse;
    }

    public Integer getRoundId() {
        return roundId;
    }

    public void setRoundId(Integer roundId) {
        this.roundId = roundId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("customerCode", getCustomerCode())
            .append("submitId", getSubmitId()).append("createTime", getCreateTime()).append("status", getStatus()).toString();
    }
}
